import { request } from '@/service/request';
/**
 * 分页获取渠道
 * @param params
 * @returns
 */
export function fetchGetChannelList(params: any) {
  return request<Api.government.ChannelVO[]>({
    url: '/platform/channel/statisticsPage',
    method: 'get',
    params
  });
}

/**
 *
 * @param params 修改渠道信息
 * @returns
 */
export function fetchUpdateChannel(params: any) {
  return request({
    url: '/platform/channel',
    method: 'put',
    data: params
  });
}

/**
 *
 * @param params 新增渠道信息
 * @returns
 */
export function fetchAddChannel(params: any) {
  return request({
    url: '/platform/channel',
    method: 'POST',
    data: params
  });
}
